## trinityrnaseq 2.1.1+dfsg

=== Chrysalis/Makefile ===
###################################################################################
#
# OVERVIEW OF THE SPINES MAKEFILE
#
# I. General comments
#
# This Makefile works by running the Spines program MakeDepend to determine
# dependencies, which are placed in a file Makefile_auto, every time you do a 
# make.	 Consequently, the first time you run this Makefile, it will appear to be 
# slow, because it compiles MakeDepend and its prerequisites, silently.
# 
# To utilize MakeDepend fully, you should adhere to the convention that for every
# .cc file which is not a main program, there is a corresponding .h file, which
# is included by any .cc file which accesses the corresponding routines.
#
# II. Major targets
# 
# make: makes all executables
# make d (where d is a subdirectory of Spines): make all executables in d
# make assembler: make all executables needed to run Spines
#
# III. Supported platforms
#
# compiler: gcc 4.1.1
#
# hardware: ia64 (Itanium)   - we use it all the time
#           i686 (Pentium)   - we use it a lot of the time
#           x86_64 (Opteron) - other people tell us that it works
#           alpha            - we used to use it, probably unusable now
#           macosx           - not fully functional
#
# Note. These are all compiled with -O3, but with for ia64, we also use
# -fno-rename-registers, to compensate for a gcc bug 
# (see testing/IsWeirdness.cc, testing/IsWeirdness.run, gcc bug report #14815).
# We also compile with -fno-strict-aliasing, without which errors can result,
# and these errors are extremely difficult to trace.
#
# IV. Common options
#
# FORCE_DEBUG=yes: compile in debugging mode
# OPTIM=none: compile without optimization
# UNSUPPORTED=yes: override check for supported platform
# ALL=yes: compile files, even if they have the line // MakeDepend: archived
# -k: keep going in the event of error (a make option)
# -jn: use up to n parallel processors to do the make (a make option)
#
###################################################################################


##############################################################################
# DEFINE GENERAL VARIABLES
##############################################################################

DATE = $(shell date)
OS_NAME = $(shell uname -s)
NODE_NAME = $(shell uname -n)
OS_RELEASE = $(shell uname -r)
OS_MACHINE = $(shell uname -m)
OS_VENDOR = $(VENDOR)
USER = $(shell whoami)
RELEASE = 3.0

ifeq ($(OS_MACHINE),Power Macintosh)
  OS_MACHINE = macosx
endif

# this ought to be done more elegantly, but this ugly hack suffices for now
GPP_VERSION := $(shell g++ -dumpversion)
GPP_MAJOR_VERSION := $(shell g++ -dumpversion | tr '.' '\n' | head -1)

##############################################################################
# CHECK FOR SUPPORTED PLATFORM
##############################################################################

ifneq ($(UNSUPPORTED),yes)
     ifneq ($(SUBRUN),1)

	  ifneq ($(GPP_VERSION),4.1.1)
               $(warning ----------------------------------------------------------)
               $(warning using g++ version $(GPP_VERSION) )
               $(warning --------------------------------------------------------)
	  endif

          ACCEPT_HARDWARE := no
	  ifeq ($(OS_MACHINE),x86_64)
	       ACCEPT_HARDWARE := yes
          endif
	  ifeq ($(OS_MACHINE),ia64)
	       ACCEPT_HARDWARE := yes
          endif
	  ifeq ($(OS_MACHINE),i686)
	       ACCEPT_HARDWARE := yes
          endif
	  ifeq ($(OS_MACHINE),macosx)
	       ACCEPT_HARDWARE := yes
          endif
	  ifeq ($(OS_MACHINE),alpha)
	       ACCEPT_HARDWARE := yes
          endif
	  ifeq ($(OS_MACHINE),i86pc)
	       ACCEPT_HARDWARE := yes
          endif
	  ifeq ($(ACCEPT_HARDWARE),no)
               $(warning ----------------------------------------------------------)
               $(warning Platform $(OS_MACHINE) is UNSUPPORTED)
               $(error --------------------------------------------------------)
	  endif

     endif
else
#     $(warning ------------------------------------------------------------)
#     $(warning WARNING --- Unsupported platform --- proceed with caution)
#     $(warning ------------------------------------------------------------)
endif


##############################################################################
## DIRECTORY SETUP:
##############################################################################

SRC = .
OBJ = obj

ifdef SPINES_BIN_DIR
     BIN = $(SPINES_BIN_DIR)
else
     BIN = .
endif

LIB = .

# Make cross-compiling in one directory easier.
ifdef CROSS
  CROSS_SUFFIX = $(OS_MACHINE)_$(OS_VENDOR)
  OBJ = obj_$(CROSS_SUFFIX)
  BIN = bin_$(CROSS_SUFFIX)
  # If DEBUGGING==yes, put the object and binary files in a separate dir.
  # The DEBUGGING option also has other effects later in the Makefile.
  ifeq ($(DEBUGGING),yes)
    OBJ = obj_$(CROSS_SUFFIX)_debug
    BIN = bin_$(CROSS_SUFFIX)_debug
  else
    # If PROFILE==yes, put the object and binary files in a separate dir.
    # The PROFILE option also has other effects later in the Makefile.
    ifeq ($(PROFILE),yes)
      OBJ = obj_$(CROSS_SUFFIX)_prof
      BIN = bin_$(CROSS_SUFFIX)_prof
    endif
  endif
endif

vpath %.cc $(SRC)
vpath %.c $(SRC)
vpath %.h $(SRC)
vpath %.hh $(SRC)
vpath %.o $(OBJ) .
vpath % $(BIN)

## This part should be removed before distribution vvv ##

##############################################################################
## RECURSIVE MAKE DEPEND
##############################################################################

ifndef SUBRUN
  ifdef MAKEDEPEND_STATUS
    $(warning Finding dependencies...)
  endif
  # result := $(shell bash -c "if [ ! { $(MAKE) CXX=$(CXX) CROSS=$(CROSS) BIN=$(BIN) OBJ=$(OBJ) ALL=$(ALL) FULL=$(FULL) OPTIM=$(OPTIM) SUBRUN=1 depend } ]; then echo MakeDepend FAILED fi")
  result := $(shell bash -c " $(MAKE) CXX=$(CXX) CROSS=$(CROSS) BIN=$(BIN) OBJ=$(OBJ) ALL=$(ALL) FULL=$(FULL) OPTIM=$(OPTIM) SUBRUN=1 depend ")
  ifneq ($(findstring FAILED,$(result)),)
    $(error MakeDepend failed)
  endif
  # Note this really checks for any WARNING output, but currently 
  # the only way that text can be output is by checkLock --checkSetLock.
  ifneq ($(findstring WARNING,$(result)),)
    $(warning checkSetLock failed. Running processes are not protected against overwrite from other computers.)
  endif
  ifdef MAKEDEPEND_STATUS
    $(warning Done.)
  endif
endif

## This part should be removed before distribution ^^^ ##

##############################################################################
## COMPILE-TIME CONFIGURATION:
##############################################################################

## These can be overridden from the `make' command line.  For example,
##
##   % make FORCE_DEBUG=yes
##
## builds debugging executables.
##
##  In most cases, one must run `make clean' before changing the defaults
## below to ensure that executables are rebuilt correctly.  Generally, the
## compiler-specific makefiles sort out these options and turn on the right
## compiler flags to get the desired behavior.

# Which compiler to use; can be `g++', `cxx', `icpc', or `sunCC'.
COMPILER	= g++
#COMPILER	= cxx
#COMPILER	= sunCC
#COMPILER	= icpc

# QUIET=yes causes the compiler to be less verbose about warnings.
QUIET		= no

# DEBUG=yes forces out-of-date executables to be built with symbolic
# debugging information.  Any other value is ignored.
DEBUG		= yes

# OPTIM=<compiler optimization> forces user-defined optimizations to be used,
# rather than the compiler-specific default.  
# If OPTIM=fast, then less optimization is done to speed compilation. 
# If OPTIM=none, then no optimization is used.	
# If unset, defaults are used.
OPTIM		=

# PROFILE=yes builds sampled-profiling (i.e. gprof) executables. Any other
# value is ignored.
PROFILE		= no

# FORCE_DEBUG=yes clears NDEBUG (i.e. turns on macros from <assert.h>).	 Any
# other value is ignored.
FORCE_DEBUG	= no

# ASSERT=FAST turns on fast(er) assertion checking.  Any other value is
# ignored.
ASSERT		= SLOW

# OPEN_MP=yes enables OpenMP directives.  Any other value is ignored.
OPEN_MP		= yes

# Enables Posix multithreading.	 This is currently only supported for CXX
# compilations, and partially for GCC v3.  This is enabled by default, since
# it has no effect in Gcc compilations.	 Any other value is ignored.
PTHREADS	= yes

# GCOV=yes builds test-coverage analyzing (gcov) executables. Suggested use
# is with OPTIM=none
GCOV		= no

# TRACK_MEMORY=yes turns on memory tracking (see MemTracker.h) in all modules
# which include that header.
TRACK_MEMORY    = no

# DEBUGGING=yes turns off optimization and turns on FORCE_DEBUG.
# DEBUGGING also has an effect earlier in the Makefile.
ifeq ($(DEBUGGING),yes)
  OPTIM = none
  FORCE_DEBUG = yes
endif

# flags to pass to $(AR). POSIX default is "-rv".
ARFLAGS = -qc 

#Add here additional options to be turned on by MakeDepend's
#directive mechanism. For example:
TEST_DIRECTIVE 	   =  -O0 -ffast-math -funroll-loops
OPT1               =  -O1


##############################################################################
## BASE SYSTEM SETUP:
##############################################################################

## These macros are used in Makefile and Makefile_auto to compile SPINES.
## The compiler-specific makefile augments these macros before they are used
## used to build the system.  These are here to ensure that the macros are
## instantiated, and as a reminder that the macros exist.

# Location of Xerces XML parser library:
XERCES_INC	=
XERCES_LIB	=

# Base definitions:
SYS_DEFS	= \
		  -DMAKE_DATE='"$(DATE)"' \
		  -DMAKE_OS_RELEASE='"$(OS_RELEASE)"' \
		  -DMAKE_RELEASE='"$(RELEASE)"' \
		  -DNEW_MAKEFILE

# Warning control:
SYS_WARN	=

# Optimization control:
SYS_OPT		=

# Language control (e.g. template instantiations):
SYS_LANG	=

# Where to find system-specific includes:
ifeq ($(COMPILER),g++)
  ifeq ($(GPP_MAJOR_VERSION),2)
       SYS_INCS	= -I. -I- $(XERCES_INC)
  endif
  ifeq ($(GPP_MAJOR_VERSION),3)
       SYS_INCS	= -I. -I- $(XERCES_INC)
  endif
  ifeq ($(GPP_MAJOR_VERSION),4)
       SYS_INCS	= -iquote . $(XERCES_INC)
  endif
  ifeq ($(GPP_MAJOR_VERSION),5)
       SYS_INCS        = -iquote . $(XERCES_INC)
  endif
endif

# Linking control (e.g. to link templates):
SYS_LINK	=

# Required libraries:
SYS_LIBS	= -lm -pthread

# OpenMP macros:
ifeq ($(OPEN_MP),yes)
  OMP_FLAGS		=
  OMP_INCS		=
  OMP_DEFS		=

  OMP_OPTIONS		= \
			$(OMP_FLAGS) \
			$(OMP_INCS) \
			$(OMP_DEFS)

  OMP_LINK		=
  OMP_LIBS		=
endif

# Posix threads macros:
ifeq ($(PTHREADS),yes)
  PTHREAD_FLAGS		=
  PTHREAD_INCS		=
  PTHREAD_DEFS		= -DHAVE_PTHREADS

  PTHREAD_OPTIONS	= \
			$(PTHREAD_FLAGS) \
			$(PTHREAD_INCS) \
			$(PTHREAD_DEFS)

  PTHREAD_LINK	=
  PTHREAD_LIBS	=
endif

ifeq ($(OPTIM),fast)
  FAST		= yes
endif


##############################################################################
## COMPILATION:
##############################################################################

# Bring in the compiler-specific makefile:

ifeq ($(COMPILER),g++)
include Makefile_g++
endif

ifeq ($(COMPILER),cxx)
include Makefile_cxx
endif

ifeq ($(COMPILER),sunCC)
include Makefile_sunCC
endif

ifeq ($(COMPILER),icpc)
include Makefile_icpc
endif

# Setup final compilation options:

CPP_OPTIONS	= \
		$(SYS_WARN) \
		$(SYS_OPT) \
		$(SYS_DEBUG) \
		$(SYS_DEFS) \
		$(SYS_LANG) \
		$(SYS_INCS) \
		$(OMP_OPTIONS) \
		$(PTHREAD_OPTIONS)

LINK_OPTIONS	= \
		$(SYS_DEBUG) \
		$(SYS_LINK) \
		$(OMP_LINK) \
		$(PTHREAD_LINK)

LINK_LIBS	= \
		$(SYS_LIBS) \
		$(OMP_LIBS) \
		$(PTHREAD_LIBS) \

CPPO		= $(LINK_OPTIONS)
CPPC		= $(CPP_OPTIONS) $(SYS_MEMTRACK)

##############################################################################
## COMPILATION TARGET SETUP:
##############################################################################

# Standard targets:

include Makefile_targets

# Makefile_auto: depend

ALL_ARG =
ifeq ($(ALL),yes)
     ALL_ARG = -A
endif

FULL_RECURSION_ARG =

=== trinity-plugins/Makefile ===

JELLYFISH_CODE="jellyfish-2.1.4"
HTSLIB_CODE="htslib.github.Aug182015.tar.gz"

#######################
### Required by Trinity
#######################

FASTOOL_CODE=fstrozzi-Fastool-7c3e034f05
PARAFLY_CODE=parafly-code
TRIMMOMATIC_CODE=Trimmomatic-0.32

trinity_essentials: jellyfish scaffold_iworm_contigs_target fastool_target parafly_target trimmomatic_target samtools

trimmomatic_target:
	ln -sf ${TRIMMOMATIC_CODE} Trimmomatic


samtools:
	tar xvf samtools-0.1.19.tar.bz2
	cd samtools-0.1.19 && $(MAKE) LIBPATH=-ltinfo
	mv samtools-0.1.19/samtools ./BIN/.

jellyfish:
	tar -zxvf ${JELLYFISH_CODE}.tar.gz && ln -sf ${JELLYFISH_CODE} tmp.jellyfish
	cd ./tmp.jellyfish/ && ./configure CC=gcc CXX=g++ --enable-static --disable-shared --prefix=`pwd` && $(MAKE) LDFLAGS="-lpthread -all-static" AM_CPPFLAGS="-Wall -Wnon-virtual-dtor -I"`pwd`"/include"
	mv tmp.jellyfish jellyfish

htslib_target:
#	tar xjvf htslib-1.2.1.tar.bz2
#	cd htslib-1.2.1 && ./configure && $(MAKE)
	tar xvf ${HTSLIB_CODE} && cd htslib && $(MAKE)

scaffold_iworm_contigs_target: htslib_target
	cd scaffold_iworm_contigs && $(MAKE)

fastool_target:
	cd ${FASTOOL_CODE} && $(MAKE)
	ln -sf ${FASTOOL_CODE} fastool


parafly_target:
	cd ${PARAFLY_CODE} && sh ./configure --prefix=`pwd` && $(MAKE) install
	ln -sf ${PARAFLY_CODE} parafly


##################################
### Needed for downstream analyses
##################################

plugins: slclust_target collectl_target
	@echo "\n\n** Done building plugins **\n\n"


slclust_target:
	cd slclust && $(MAKE) install

collectl_target:
	cd collectl && ./build_collectl.sh

clean:
	rm -rf ${JELLYFISH_CODE} ./jellyfish # has tar.gz
	cd ${FASTOOL_CODE} && $(MAKE) clean
	rm -rf ./samtools-0.1.19
	rm -f ./fastool # rm symlink
	rm -rf ./htslib
	cd scaffold_iworm_contigs && $(MAKE) clean
	cd parafly && $(MAKE) clean
	rm -f ./parafly # rm symlink
	rm -f ./Trimmomatic # rm symlink
	cd slclust && $(MAKE) clean
	cd collectl && rm -rf bin doc man
	@echo "\n\n** Done cleaning plugins area **"


###################################################################

=== sample_data/test_DE_analysis/Makefile ===


test: test_edgeR test_DESeq2 test_voom test_ROTS

test_edgeR:
	../../Analysis/DifferentialExpression/run_DE_analysis.pl  -m Trinity_trans.counts.matrix --method edgeR -s samples.txt -o edgeR_outdir
	cd edgeR_outdir && ../../../Analysis/DifferentialExpression/analyze_diff_expr.pl  --matrix ../Trinity_trans.TMM.EXPR.matrix --samples ../samples.txt

test_DESeq2:
	../../Analysis/DifferentialExpression/run_DE_analysis.pl  -m Trinity_trans.counts.matrix --method DESeq2 -s samples.txt -o DESeq2_outdir
	cd DESeq2_outdir && ../../../Analysis/DifferentialExpression/analyze_diff_expr.pl  --matrix ../Trinity_trans.TMM.EXPR.matrix --samples ../samples.txt 

test_voom:
	../../Analysis/DifferentialExpression/run_DE_analysis.pl  -m Trinity_trans.counts.matrix --method voom -s samples.txt -o voom_outdir
	cd voom_outdir && ../../../Analysis/DifferentialExpression/analyze_diff_expr.pl  --matrix ../Trinity_trans.TMM.EXPR.matrix --samples ../samples.txt 

test_ROTS:
	../../Analysis/DifferentialExpression/run_DE_analysis.pl  -m Trinity_trans.counts.matrix --method ROTS -s samples.txt -o ROTS_outdir --ROTS_B 50 # make it go faster, use more in practice
	cd ROTS_outdir && ../../../Analysis/DifferentialExpression/analyze_diff_expr.pl  --matrix ../Trinity_trans.TMM.EXPR.matrix --samples ../samples.txt 

clean:
	rm -rf ./edgeR_outdir
	rm -rf ./DESeq2_outdir
	rm -rf ./voom_outdir
	rm -rf ./ROTS_outdir
	rm -f ./Trinity_trans.counts.matrix.*
	rm -f ./Trinity_trans.TMM.EXPR.matrix.*
	rm -f ./*.pdf

=== sample_data/test_Trinity_Assembly/Makefile ===

test_trinity:
	./runMe.sh


test: test_assembly test_abundance_estimation test_bowtie_PE_read_estimates


test_assembly:
	./runMe.sh
	./misc_run_tests/__test_runMe_include_normalization.sh
	./misc_run_tests/__runMe_with_qual_trimming.sh
	./misc_run_tests/__runMe_with_qual_trimming_and_normalization.sh
	./misc_run_tests/__test_runMe_with_jaccard_clip.sh
	./misc_run_tests/__runMe_with_qual_trimming_and_normalize_libs_separately.sh

test_abundance_estimation: test_RSEM test_eXpress test_kallisto

test_RSEM:
	../../util/align_and_estimate_abundance.pl --transcripts trinity_out_dir/Trinity.fasta --seqType fq --left reads.left.fq --right reads.right.fq --SS_lib_type RF --est_method RSEM --aln_method bowtie --trinity_mode --prep_reference --output_dir RSEM_PE


test_eXpress:
	../../util/align_and_estimate_abundance.pl --transcripts trinity_out_dir/Trinity.fasta --seqType fq --left reads.left.fq --right reads.right.fq --SS_lib_type RF --est_method eXpress --aln_method bowtie2 --trinity_mode --prep_reference --output_dir eXpress_PE

test_kallisto:
	../../util/align_and_estimate_abundance.pl --transcripts trinity_out_dir/Trinity.fasta --seqType fq --left reads.left.fq --right reads.right.fq --est_method kallisto --trinity_mode --prep_reference --output_dir kallisto_PE

test_bowtie_PE_read_estimates:
	../../util/bowtie_PE_separate_then_join.pl  --seqType fq --left reads.left.fq --right reads.right.fq --target trinity_out_dir/Trinity.fasta --aligner bowtie
	../../util/SAM_nameSorted_to_uniq_count_stats.pl bowtie_out/bowtie_out.nameSorted.bam


test_full:
	./runMe.sh 1

clean:
	./cleanme.pl

=== sample_data/test_align_and_estimate_abundance/Makefile ===
test: test_RSEM test_eXpress test_kallisto
	../../Analysis/DifferentialExpression/merge_matrices.pl   RSEM-trans.TPM.not_cross_norm eXpress-trans.TPM.not_cross_norm kallisto-trans.TPM.not_cross_norm > combined.TPM.not_cross_norm.matrix
	./plot_paired_comparisons.Rscript

test_RSEM:
	./align_and_estimate_tester.pl RSEM

test_eXpress:
	./align_and_estimate_tester.pl eXpress

test_kallisto:
	./align_and_estimate_tester.pl kallisto


clean:
	./cleanme.pl

=== trinity-plugins/fstrozzi-Fastool-7c3e034f05/Makefile ===
CC     = gcc
CFLAGS = -O2 -std=c99 -Werror

all:kseq.h fastool.c
	$(CC) $(CFLAGS) fastool.c -o fastool

clean:
	rm -f *.o fastool

=== trinity-plugins/scaffold_iworm_contigs/Makefile ===
CXX    = g++
prefix = ../htslib

ScaffoldIwormContigs:
	$(CXX) -I$(prefix) -L$(prefix) ScaffoldIwormContigs.cpp error_checker.cpp -lhts -lz -o scaffold_iworm_contigs

clean:
	rm scaffold_iworm_contigs

=== debian/changelog ===
trinityrnaseq (2.1.1+dfsg-2) unstable; urgency=medium

  * Split install of arch-dependent & arch-independent files, fixes FTBFS
    (Closes: #813958)

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Sun, 07 Feb 2016 01:21:41 -0800

trinityrnaseq (2.1.1+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #777697)

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Thu, 22 Oct 2015 08:31:56 -0700

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

JDIR=/usr/share/java
export CLASSPATH=${JDIR}/commons-collections4.jar:${JDIR}/gnu-getopt.jar:${JDIR}/jung-algorithms.jar:${JDIR}/jung-api.jar:${JDIR}/jung-graph-impl.jar:${JDIR}/jaligner.jar
export JAVA_HOME=/usr/lib/jvm/default-java
SOURCE_DIRECTORIES = Inchworm Chrysalis trinity-plugins/*Fastool* trinity-plugins/slclust trinity-plugins/scaffold_iworm_contigs
BASEDIR=debian/trinityrnaseq/usr/lib/trinityrnaseq
EXBASEDIR=debian/trinityrnaseq-examples/usr/share/trinityrnaseq

LAST_CHANGE := $(shell dpkg-parsechangelog -S Date)
export BUILD_DATETIME := $(shell LC_ALL=C date -u -d '$(LAST_CHANGE)')

%:
	dh $@ --parallel --with javahelper,autoreconf

override_dh_auto_configure:
	for target in ${SOURCE_DIRECTORIES}; do dh_auto_configure \
		--sourcedirectory=$${target} -- \
		--prefix=/usr/lib/trinityrnaseq/$${target}; done

override_dh_auto_build:
	for target in ${SOURCE_DIRECTORIES}; do dh_auto_build \
		-O--sourcedirectory=$${target}; done

override_dh_auto_clean:
	for target in ${SOURCE_DIRECTORIES}; do dh_auto_clean \
		--sourcedirectory=$${target}; done
	rm --force Chrysalis/Makefile_auto
	rm --force trinity-plugins/slclust/bin/slclust

override_dh_auto_test:
	java -cp Butterfly.jar TransAssembly_allProbPaths -N 100 -L 100 -F 300 \
		-C Butterfly/src/sample_data/RawComps.0/comp0 --stderr -V 18

override_dh_auto_install:
	for target in ${SOURCE_DIRECTORIES}; do dh_auto_install \
		-O--sourcedirectory=$${target}; done

override_dh_install-arch:
	dh_install -a
	find debian/trinityrnaseq -name '*.p?' | xargs sed -i \
		's=^#!/usr/local/bin/perl=#!/usr/bin/perl='
	chmod u+x \
		${BASEDIR}/Analysis/DifferentialExpression/pairwise_summaries/class_to_separate_fpkm_matrices.pl \
		${BASEDIR}/Analysis/FL_reconstruction_analysis/count_by_expression_quintile.pl \
		${BASEDIR}/util/misc/capture_orig_n_unmapped_reads.pl \
		${BASEDIR}/util/support_scripts/plugin_install_tests.sh \
		${BASEDIR}/util/support_scripts/trinity_install_tests.sh
	chmod -R a-x ${BASEDIR}/PerlLib/*.pm
	chmod -R a-x ${BASEDIR}/PerlLib/*/*.pm
	chmod a-x ${BASEDIR}/util/support_scripts/tests/test.py

override_dh_install-indep:
	dh_install -i
	chmod u+x \
		${EXBASEDIR}/sample_data/__regression_tests/test_GraphFromFasta/runMe.sh \
		${EXBASEDIR}/sample_data/test_Inchworm/runMe_MPI.sh \
		${EXBASEDIR}/sample_data/test_Trinity_Assembly/__indiv_ex_sample_derived/ex05/runMe.clean.sh \
		${EXBASEDIR}/sample_data/test_Trinity_Assembly/__indiv_ex_sample_derived/ex05/runMe.sh

get-orig-source:
	uscan --verbose --force-download --repack --compression xz

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g" \
  https://github.com/trinityrnaseq/trinityrnaseq/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## trinityrnaseq 2.1.1+dfsg2

=== sample_data/test_InSilicoReadNormalization/Makefile ===

test:
	./test_PE_normalization.sh
	./test_SE_normalization.sh

clean:
	./cleanme.pl

=== trinity-plugins/slclust/src/Makefile ===

PROJECT_ROOT   = ..
LIBDIR         = ${PROJECT_ROOT}/lib

# Individual Program Modifications Should Begin Here

# Program to make (binary)
EXECUTABLE     = slclust

# Source files for Executable
SRCS            = slcluster.cpp graph.cpp graphnode.cpp cmd_line_opts.cpp

# Object modules for Executable
OBJS           = slcluster.o graph.o graphnode.o cmd_line_opts.o

# LIBS needed to compile the Executable (eg: /usr/local/lib/libspecial.a)
# use ${LIBDIR} defined above if appropriate
LIBS           = 

# How they are invoked on the compile line (eg: -lspecial)
LLIBS          =

# Local additions for the CFLAG options
LOCAL_CFLAGS   = -Wall 
#-static



# ************************************************************************
# THE REST OF THE MAKEFILE SHOULD NOT NEED TO BE MODIFIED
# (EXCEPT BY THE PROJECT SOFTWARE DEVELOPMENT MANAGER)

BIN           = ${PROJECT_ROOT}/bin
INCLUDE       = ${PROJECT_ROOT}/include

DEBUG         = DEBUG
CFLAGS        = -I${INCLUDE} ${LOCAL_CFLAGS}
CC            = g++ ${CFLAGS}

MAKEFILE      = Makefile


# Suffix rules

.cc.o:
	${CC} -c $<

.cpp.o:
	${CC} -c $<

# Target dependencies


all : ${EXECUTABLE}


install : ${EXECUTABLE}
	mv ${EXECUTABLE} ${BIN}/


clean :
	rm -f ${OBJS} core a.out *~ \#* ${EXECUTABLE} ${MAKEFILE}.bak


${OBJ} : ${MAKEFILE}

${EXECUTABLE} : ${OBJS}
	${CC} ${OBJS} ${LIBS} -o ${EXECUTABLE}	
	chmod 755 ${EXECUTABLE}

=== debian/changelog ===
trinityrnaseq (2.1.1+dfsg2-1) unstable; urgency=low

  * Properly harden Chrysalis binaries
  * Drop Galaxy plugin
  * Increment dfsg version for the above

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Thu, 25 Feb 2016 00:03:48 -0800

=== debian/control ===
Source: trinityrnaseq
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               autotools-dev,
               dh-autoreconf,
               automake1.11,
               jellyfish (>= 2.1.4),
               libjung-free-java,
               javahelper,
               libgetopt-java,
               default-jdk,
               parafly,
               libjs-jquery,
               jaligner,
               libhts-dev
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/trinityrnaseq.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/trinityrnaseq.git
Homepage: http://trinityrnaseq.github.io/

Package: trinityrnaseq
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         ${java:Depends},
         bowtie,
         bowtie2,
         python,
         libwww-perl,
         default-jre-headless,
         samtools,
         jellyfish,
         r-base-core,
         r-cran-cluster,
         r-bioc-edger,
         r-bioc-qvalue,
         rsem,
         berkeley-express,
         trimmomatic,
         transdecoder,
         parafly,
         curl
Recommends: ${java:Recommends},
            trinityrnaseq-examples
Suggests: collectl
Description: RNA-Seq De novo Assembly
 Trinity represents a novel method for the efficient and robust de novo
 reconstruction of transcriptomes from RNA-seq data. Trinity combines three
 independent software modules: Inchworm, Chrysalis, and Butterfly, applied
 sequentially to process large volumes of RNA-seq reads. Trinity partitions
 the sequence data into many individual de Bruijn graphs, each representing the
 transcriptional complexity at a given gene or locus, and then processes
 each graph independently to extract full-length splicing isoforms and to tease
 apart transcripts derived from paralogous genes.

Package: trinityrnaseq-examples
Architecture: all
Depends: ${perl:Depends},
         ${java:Depends},
         ${misc:Depends},
         r-base-core
Recommends: trinityrnaseq
Description: RNA-Seq De novo Assembly common example and testing files
 Trinity represents a novel method for the efficient and robust de novo
 reconstruction of transcriptomes from RNA-seq data. Trinity combines three
 independent software modules: Inchworm, Chrysalis, and Butterfly, applied
 sequentially to process large volumes of RNA-seq reads. Trinity partitions
 the sequence data into many individual de Bruijn graphs, each representing the
 transcriptional complexity at a given gene or locus, and then processes
 each graph independently to extract full-length splicing isoforms and to tease
 apart transcripts derived from paralogous genes.
 .
 This package contains testing & example files.

=== debian/rules ===
--- 
+++ 
@@ -12,13 +12,18 @@
 LAST_CHANGE := $(shell dpkg-parsechangelog -S Date)
 export BUILD_DATETIME := $(shell LC_ALL=C date -u -d '$(LAST_CHANGE)')
 
+DPKG_EXPORT_BUILDFLAGS = 1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+include /usr/share/dpkg/buildflags.mk
+
 %:
 	dh $@ --parallel --with javahelper,autoreconf
 
 override_dh_auto_configure:
 	for target in ${SOURCE_DIRECTORIES}; do dh_auto_configure \
 		--sourcedirectory=$${target} -- \
-		--prefix=/usr/lib/trinityrnaseq/$${target}; done
+		--prefix=/usr/lib/trinityrnaseq/$${target} \
+		$(shell dpkg-buildflags --export=configure); done
 
 override_dh_auto_build:
 	for target in ${SOURCE_DIRECTORIES}; do dh_auto_build \

## trinityrnaseq 2.2.0+dfsg

=== Makefile ===
###################################################################
#
# The default compiler is GNU gcc/g++.
# Run
#  make TRINITY_COMPILER=intel
# to build Inchworm and Chrysalis with the Intel compiler.
#

ifeq ($(TRINITY_COMPILER),intel)
 INCHWORM_CONFIGURE_FLAGS = CXX=icpc CXXFLAGS="-fast"
 CHRYSALIS_MAKE_FLAGS = COMPILER=icpc
else
 override TRINITY_COMPILER=gnu
endif


all: inchworm_target chrysalis_target trinity_essentials
	sh ./util/support_scripts/trinity_install_tests.sh

inchworm_target:
	@echo Using $(TRINITY_COMPILER) compiler for Inchworm and Chrysalis
	cd Inchworm && (test -e configure || autoreconf) \
                && sh ./configure --prefix=`pwd` $(INCHWORM_CONFIGURE_FLAGS) && $(MAKE) install

chrysalis_target:
	cd Chrysalis && $(MAKE) UNSUPPORTED=yes $(CHRYSALIS_MAKE_FLAGS)


trinity_essentials:
	cd trinity-plugins && $(MAKE) trinity_essentials


plugins:
	cd trinity-plugins && $(MAKE) plugins
	sh ./util/support_scripts/plugin_install_tests.sh

test:
	@echo
	@echo "Checking for Trinity essentials (built from 'make all'):"
	sh ./util/support_scripts/trinity_install_tests.sh
	@echo
	@echo "Checking for plugins (built from 'make plugins'):"
	sh ./util/support_scripts/plugin_install_tests.sh

clean:
	cd Inchworm && make clean
	cd Chrysalis && $(MAKE) clean UNSUPPORTED=yes
	cd trinity-plugins && $(MAKE) clean 
	cd sample_data/ && make clean


test_trinity:
	cd sample_data/test_Trinity_Assembly && make test_trinity

test_gg_trinity:
	cd sample_data/test_GenomeGuidedTrinity && make test

test_all:
	cd sample_data/ && make test
	cd sample_data/test_Trinity_Assembly && make test_full

test_clean:
	cd sample_data/ && make clean

###################################################################

=== Chrysalis/Makefile ===
--- 
+++ 
@@ -52,6 +52,7 @@
 ##############################################################################
 
 DATE = $(shell date)
+BUILD_DATETIME ?= $(DATE)  # allow for overrides to enable reproducible builds
 OS_NAME = $(shell uname -s)
 NODE_NAME = $(shell uname -n)
 OS_RELEASE = $(shell uname -r)
@@ -277,7 +278,7 @@
 
 # Base definitions:
 SYS_DEFS	= \
-		  -DMAKE_DATE='"$(DATE)"' \
+		  -DMAKE_DATE='"$(BUILD_DATETIME)"' \
 		  -DMAKE_OS_RELEASE='"$(OS_RELEASE)"' \
 		  -DMAKE_RELEASE='"$(RELEASE)"' \
 		  -DNEW_MAKEFILE
@@ -308,7 +309,7 @@
 endif
 
 # Linking control (e.g. to link templates):
-SYS_LINK	=
+SYS_LINK	=  $(LDFLAGS)
 
 # Required libraries:
 SYS_LIBS	= -lm -pthread
@@ -380,7 +381,8 @@
 		$(SYS_LANG) \
 		$(SYS_INCS) \
 		$(OMP_OPTIONS) \
-		$(PTHREAD_OPTIONS)
+		$(PTHREAD_OPTIONS) \
+		$(CPPFLAGS)
 
 LINK_OPTIONS	= \
 		$(SYS_DEBUG) \
@@ -402,13 +404,3 @@
 
 # Standard targets:
 
-include Makefile_targets
-
-# Makefile_auto: depend
-
-ALL_ARG =
-ifeq ($(ALL),yes)
-     ALL_ARG = -A
-endif
-
-FULL_RECURSION_ARG =

=== sample_data/Makefile ===

DIRS = test_GenomeGuidedTrinity \
test_InSilicoReadNormalization \
test_Trinity_Assembly \
test_DE_analysis \
test_align_and_estimate_abundance \
test_full_edgeR_pipeline 



test:
	@for i in $(DIRS); do \
	echo "Running example in $$i..."; \
	(cd $$i; $(MAKE) test) || exit $$?; done


clean:
	@for i in $(DIRS); do \
	echo "Running example in $$i..."; \
	(cd $$i; $(MAKE) clean) || exit $$?; done

=== trinity-plugins/Makefile ===
--- 
+++ 
@@ -10,6 +10,14 @@
 PARAFLY_CODE=parafly-code
 TRIMMOMATIC_CODE=Trimmomatic-0.32
 
+
+UNAME_S=$(shell uname -s)
+ifeq ("${UNAME_S}", "Linux")
+	LTINFO="LIBPATH=-ltinfo"
+endif
+
+
+
 trinity_essentials: jellyfish scaffold_iworm_contigs_target fastool_target parafly_target trimmomatic_target samtools
 
 trimmomatic_target:
@@ -18,7 +26,7 @@
 
 samtools:
 	tar xvf samtools-0.1.19.tar.bz2
-	cd samtools-0.1.19 && $(MAKE) LIBPATH=-ltinfo
+	cd samtools-0.1.19 && $(MAKE) ${LTINFO} 
 	mv samtools-0.1.19/samtools ./BIN/.
 
 jellyfish:

=== sample_data/test_DE_analysis/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 
-test: test_edgeR test_DESeq2 test_voom test_ROTS
+test: test_edgeR test_DESeq2 test_voom test_ROTS test_PtR_PCA
 
 test_edgeR:
 	../../Analysis/DifferentialExpression/run_DE_analysis.pl  -m Trinity_trans.counts.matrix --method edgeR -s samples.txt -o edgeR_outdir
@@ -18,6 +18,10 @@
 	../../Analysis/DifferentialExpression/run_DE_analysis.pl  -m Trinity_trans.counts.matrix --method ROTS -s samples.txt -o ROTS_outdir --ROTS_B 50 # make it go faster, use more in practice
 	cd ROTS_outdir && ../../../Analysis/DifferentialExpression/analyze_diff_expr.pl  --matrix ../Trinity_trans.TMM.EXPR.matrix --samples ../samples.txt 
 
+
+test_PtR_PCA:
+	../../Analysis/DifferentialExpression/PtR -m Trinity_trans.TMM.EXPR.matrix -s samples.txt --prin_comp 3 --add_prin_comp_heatmaps 30
+
 clean:
 	rm -rf ./edgeR_outdir
 	rm -rf ./DESeq2_outdir

=== sample_data/test_GenomeGuidedTrinity/Makefile ===

test:
	./run_genome-guided_Trinity_use_existing_bam.sh
	./run_Schizo_TrinityGG_jaccard_clip.sh

clean:
	./cleanme.pl

=== sample_data/test_InSilicoReadNormalization/Makefile ===

test:
	./test_PE_normalization.sh
	./test_SE_normalization.sh
	./test_PE_normalization.mult_read_sets.sh

clean:
	./cleanme.pl

=== sample_data/test_TissueSpecificityGraph/Makefile ===
test:
	tar xvf DE_results.tar.gz
	gunzip -c transcripts.TMM.fpkm.avg_reps.matrix.gz > transcripts.TMM.fpkm.avg_reps.matrix
	../../Analysis/DifferentialExpression/TissueEnrichment/DE_results_to_pairwise_summary.pl transcripts.TMM.fpkm.avg_reps.matrix . > DE_pairwise_summary.txt
	../../Analysis/DifferentialExpression/TissueEnrichment/pairwise_DE_summary_to_DE_classification.pl  DE_pairwise_summary.txt

clean:
	rm -f ./*.DE_results
	rm -f ./DE_pairwise_summary.txt*
	rm -f ./transcripts.TMM.fpkm.avg_reps.matrix

=== sample_data/test_Trinity_Assembly/Makefile ===

test_trinity:
	./runMe.sh


test: test_assembly test_bowtie_PE_read_estimates


test_assembly:
	./runMe.sh
	./misc_run_tests/__test_runMe_include_normalization.sh
	./misc_run_tests/__runMe_with_qual_trimming.sh
	./misc_run_tests/__runMe_with_qual_trimming_and_normalization.sh
	./misc_run_tests/__test_runMe_with_jaccard_clip.sh
	./misc_run_tests/__runMe_with_qual_trimming_and_normalize_libs_separately.sh
	./misc_run_tests/__runMe_include_long_reads.sh


test_bowtie_PE_read_estimates:
	../../util/bowtie_PE_separate_then_join.pl  --seqType fq --left reads.left.fq --right reads.right.fq --target trinity_out_dir/Trinity.fasta --aligner bowtie
	../../util/SAM_nameSorted_to_uniq_count_stats.pl bowtie_out/bowtie_out.nameSorted.bam


test_full:
	./runMe.sh 1

clean:
	./cleanme.pl

=== sample_data/test_align_and_estimate_abundance/Makefile ===

DIRS = PAIRED_END_ABUNDANCE_ESTIMATION SINGLE_END_ABUNDANCE_ESTIMATION

test:
	@for i in $(DIRS); do \
	echo "Running example in $$i..."; \
	(cd $$i; $(MAKE) test) || exit $$?; done


clean:
	@for i in $(DIRS); do \
	echo "Running example in $$i..."; \
	(cd $$i; $(MAKE) clean) || exit $$?; done

=== trinity-plugins/fstrozzi-Fastool-7c3e034f05/Makefile ===
CFLAGS += -O2 -std=c99 -Werror

all:kseq.h fastool.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) fastool.c -o fastool

clean:
	rm -f *.o fastool

=== sample_data/test_align_and_estimate_abundance/PAIRED_END_ABUNDANCE_ESTIMATION/Makefile ===
SAMPLES="samples.txt"
TRINITY_FASTA="../../test_DATA/Trinity.fasta"

test: test_RSEM test_eXpress test_kallisto test_salmon
	../../../Analysis/DifferentialExpression/merge_matrices.pl RSEM-trans.TPM.not_cross_norm express-trans.TPM.not_cross_norm kallisto-trans.TPM.not_cross_norm salmon-quasi-trans.TPM.not_cross_norm salmon-fmd-trans.TPM.not_cross_norm > combined.TPM.not_cross_norm.matrix
	../plot_paired_comparisons.Rscript

test_RSEM:
ifeq ("", "$(shell which rsem-calculate-expression)")
	echo WARNING: skipping RSEM test, cannot locate rsem-calculate-expression tool in PATH
else
	../align_and_estimate_tester.pl RSEM ${SAMPLES} ${TRINITY_FASTA}
endif

test_eXpress:
ifeq ("", "$(shell which express)")
	echo WARNING: skipping express test, cant locate express tool in PATH	
else
	../align_and_estimate_tester.pl express ${SAMPLES} ${TRINITY_FASTA}
endif

test_kallisto:
ifeq ("", "$(shell which kallisto)")
	echo WARNING: cannot find kallisto installed in PATH, skipping kallisto test
else
	../align_and_estimate_tester.pl kallisto ${SAMPLES} ${TRINITY_FASTA}
endif

test_salmon:
ifeq ("", "$(shell which salmon)")
	echo WARNING: cannot find salmon installed in PATH, skipping salmon test
else
	../align_and_estimate_tester.pl salmon-quasi ${SAMPLES} ${TRINITY_FASTA}
	../align_and_estimate_tester.pl salmon-fmd ${SAMPLES} ${TRINITY_FASTA}
endif


clean:
	./cleanme.pl

=== debian/changelog ===
trinityrnaseq (2.2.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix build on GCC 6 (Closes: #831110)

 -- Sascha Steinbiss <satta@debian.org>  Fri, 05 Aug 2016 19:21:49 +0000

trinityrnaseq (2.2.0+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload
  * d/watch: Use xz compression for upstream source

  [ Michael R. Crusoe ]
  * new upstream version
  * prune d/copyright excludes
  * refresh patches, drop a few included upstream
  * Standards-Version: '3.9.7' -> '3.9.8'

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 23 May 2016 11:46:45 -0700

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libjs-jquery,
                jaligner,
                libhts-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/trinityrnaseq.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/trinityrnaseq.git
 Homepage: http://trinityrnaseq.github.io/

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 export BUILD_DATETIME := $(shell LC_ALL=C date -u -d '$(LAST_CHANGE)')
 
 DPKG_EXPORT_BUILDFLAGS = 1
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 include /usr/share/dpkg/buildflags.mk
 
 %:
@@ -55,7 +55,6 @@
 		${BASEDIR}/util/support_scripts/trinity_install_tests.sh
 	chmod -R a-x ${BASEDIR}/PerlLib/*.pm
 	chmod -R a-x ${BASEDIR}/PerlLib/*/*.pm
-	chmod a-x ${BASEDIR}/util/support_scripts/tests/test.py
 
 override_dh_install-indep:
 	dh_install -i
@@ -65,5 +64,3 @@
 		${EXBASEDIR}/sample_data/test_Trinity_Assembly/__indiv_ex_sample_derived/ex05/runMe.clean.sh \
 		${EXBASEDIR}/sample_data/test_Trinity_Assembly/__indiv_ex_sample_derived/ex05/runMe.sh
 
-get-orig-source:
-	uscan --verbose --force-download --repack --compression xz

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg.*//g,repack,compression=xz" \
  https://github.com/trinityrnaseq/trinityrnaseq/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## trinityrnaseq 2.5.1%2Bdfsg

=== trinity-plugins/scaffold_iworm_contigs/Makefile ===
CXX    = g++
prefix = ../htslib

ScaffoldIwormContigs:
	$(CXX) $(LDFLAGS) -I$(prefix) -L$(prefix) ScaffoldIwormContigs.cpp error_checker.cpp -lhts -o scaffold_iworm_contigs

clean:
	rm -f scaffold_iworm_contigs
